function normalize(v)
	local len = math.sqrt(math.pow(v[1], 2) + math.pow(v[2], 2))
	local normalizedv = {v[1]/len, v[2]/len}
	return normalizedv
end

function dot(v1, v2)
	return v1[1]*v2[1] + v1[2]*v2[2]
end

function lengthSqr(v)
    return v[1]*v[1] + v[2]*v[2]
end

function length(v)
    return math.sqrt(lengthSqr(v))
end